#!/usr/bin/env python
# *********************************************************************
# * Copyright (C) 2012 Luca Baldini (luca.baldini@pi.infn.it)         *
# *                                                                   *
# * For the license terms see the file LICENCE, distributed           *
# * along with this software.                                         *
# *********************************************************************
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


import os


PACKAGE_ROOT = os.path.split(os.path.abspath(os.path.dirname(__file__)))[0]

BIN_FOLDER = os.path.join(PACKAGE_ROOT, 'bin')
BUILD_FOLDER = os.path.join(PACKAGE_ROOT, 'build')
DATA_FOLDER = os.path.join(PACKAGE_ROOT, 'data')
DOC_FOLDER = os.path.join(PACKAGE_ROOT, 'doc')
DIST_FOLDER = os.path.join(PACKAGE_ROOT, 'dist')
PYTHON_FOLDER = os.path.join(PACKAGE_ROOT, 'python')
SRC_FOLDER = os.path.join(PACKAGE_ROOT, 'src')
TEST_FOLDER = os.path.join(PACKAGE_ROOT, 'test')


if __name__ == '__main__':
    print('PACKAGE_ROOT: %s' % PACKAGE_ROOT)
