/*
  Copyright (C) 2012 Luca Baldini (luca.baldini@pi.infn.it)

  For the license terms see the file LICENSE, distributed along with this
  software.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later
  version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51
  Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#include "E3BaseEvent.h"
#include "E3Timestamp.h"


int main () {
  E3BaseEvent e1(0, 52, 65358, E3Timestamp(10, 0));
  E3BaseEvent e2(0, 52, 65359, E3Timestamp(16, 21349864));
  std::cout << e1 << std::endl;
  std::cout << e2 << std::endl;
  std::cout << "e1 > e2 -> " << (e1 > e2) << std::endl; 
  std::cout << "e1 < e2 -> " << (e1 < e2) << std::endl;
  std::cout << "delta(e1, e2) -> " << delta(e1, e2) << std::endl;
  std::cout << "distance(e1, e2) -> " << distance(e1, e2) << std::endl;
  return 0;
}
